File: bootstrap

package info (click to toggle)
avrdude 5.2-2
  • links: PTS
  • area: main
  • in suites: etch, etch-m68k
  • size: 2,284 kB
  • ctags: 1,520
  • sloc: ansic: 15,167; sh: 3,437; yacc: 1,051; lex: 240; makefile: 158
file content (46 lines) | stat: -rwxr-xr-x 962 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
#! /bin/sh

# autoconf-2.59 is required

: ${AUTOHEADER="autoheader${AC_VER}"}
: ${AUTOCONF="autoconf${AC_VER}"}

# automake-1.9.x is required

: ${ACLOCAL="aclocal${AM_VER}"}
: ${AUTOMAKE="automake${AM_VER}"}

# Verify autoconf version

AUTOCONF_VER=`(${AUTOCONF} --version 2>/dev/null | head -n 1 | \
              cut -d ' ' -f 4) 2>/dev/null`
if [ "$AUTOCONF_VER" != "2.59" ]
then
	echo "You need to use autoconf version 2.59."
	echo "You are using `${AUTOCONF} --version | head -n 1`."
	exit 1
fi

# Verify automake version

AUTOMAKE_VER=`(${AUTOMAKE} --version | head -n 1 | \
              cut -d ' ' -f 4 | cut -d '.' -f -2) 2>/dev/null`
if [ "$AUTOMAKE_VER" != "1.9" ]
then
	echo "You need to use automake version 1.9."
	echo "You are using `${AUTOMAKE} --version | head -n 1`."
	exit 1
fi

export ACLOCAL AUTOHEADER AUTOCONF AUTOMAKE

# Bootstrap the build system.

set -x

rm -rf autom4te.cache

${ACLOCAL}
${AUTOHEADER}
${AUTOCONF}
${AUTOMAKE} -a -c